<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags"%>

<html>
<jsp:include page="../fragments/header.jsp" />
<body>
	<div class="container">
		<jsp:include page="../fragments/mainmenu.jsp" />
		<spring:url value="/sequence/sequence/results" var="sequence_query" />
		<spring:url value="/features/results" var="the_query"/>
		<spring:url value="/features/results?TypeFeatures=${feature}&Percent=${percent}" var="the_query" />

	<!-- reload and CSV buttons -->
	<ul class="nav navbar-nav navbar-right">
		<li>
		<a href="${the_query}" class="btn btn-default active">Reload</a>
		</li>
		<c:choose><c:when test="${csvfile != ''}">
		<li>
		<a id="forCSVfile" download="data.csv" href="data:application/csv;charset=utf-8,${csvfile}" class="btn btn-default active">CSV</a>
		</li>
		</c:when></c:choose>
	</ul>

	<div class="panel panel-default">
	<div class="panel-heading">
		<p style="font-weight:bold;">Protein Secondary Structure Feature Statistics</p>
	</div>

	<div class="panel-body">
<sec:authorize access="hasRole('ROLE_ADMIN')">
			<p>Servlet execution time: ${timeExecution} milliseconds</p>
</sec:authorize>
		<c:choose>
		<c:when test="${njobs == 0}">
			<p>No proteins with feature ${feature} more then ${percent}% of the protein sequence found</p>
		</c:when>
		<c:otherwise>
			<p>${njobs} proteins with feature ${feature} more then ${percent}% of the protein sequence found</p>
			<div class="table-responsive">
			<table class="table table-striped table-hover table-bordered">
			<thead>
				<tr>
					<th style="text-align: centre">N</th>
					<th style="text-align: left">Protein/Prediction</th>
				</tr>
			</thead>
			<tbody>
				<c:set var="count" value="0" scope="page" />
				<c:forEach items="${results}" var="res">
					<c:set var="count" value="${count + 1}" scope="page"/>
					<tr>
						<td rowspan = 2>${count}
						<td style="text-align: left; border-buttom: dotted; font-family: monospace">
						<a title="Click to view all jobs" href="${sequence_query}?sequence=${res.key}&searchtype=whole">
						<script>
							document.write(shorten('${res.key}', 108));
						</script>
						</a></td>
					</tr>
					<tr>
						<td style="text-align: left; border-buttom: dotted; font-family: monospace">
						<script>
							document.write(shorten('${res.value}', 108));
						</script>
						</td>
					</tr>
				</c:forEach>
			</tbody>
			</table>
			</div>
		</c:otherwise>
		</c:choose>
	</div>
	</div>

	<jsp:include page="../fragments/footer.jsp" />
	</div>
</body>
</html>